#47 closed enhancement (fixed)

buffer output of tests

Reported by: Joel Sherrill Owned by: Eric Norum
Priority: lowest Milestone: 2
Component: unspecified Version: unknown
Severity: minor Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

Add support to tests to buffer output so it
does not interfere with tasking in tests.
This may also involve finding other ways to
verify test output and modifying tests to
produce more predictable output regardless of BSP

Release:
development versions

Change History (4)

comment:1 Changed on Oct 26, 2001 at 1:09:40 PM by Joel Sherrill

Owner: changed from joel to eric

comment:2 Changed on Aug 1, 2002 at 11:59:18 PM by Joel Sherrill

Status: assignedwaiting

comment:3 Changed on Jul 18, 2003 at 2:04:43 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: New website has section for potential projects. This includes a

list of PRs that are wishlist items and not actively being worked
on. This PR can be reopened if someone volunteers.


In particular, this project will require tinkering with some of the
tests to make their output more repeatable. Ideally it will also
involve making the tests self-check the output in their buffer.

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.